NX Open C++ Reference Guide
|
Builder for creating Hole Suppression Hole <br> To create a new instance of this class, use @link CAE::AbstractionManager::CreateSuppressHoleBuilder CAE::AbstractionManager::CreateSuppressHoleBuilder @endlink <br>
Default values. More...
Public Types | |
enum | OptionChoice { OptionChoiceAutomatic, OptionChoiceManual } |
the enum for method More... | |
enum | OptionPointCreate { OptionPointCreateNone, OptionPointCreatePoint, OptionPointCreateMeshPoint } |
the enum for point creation More... | |
Public Member Functions | |
NXOpen::SelectTaggedObjectList * | BodySelect () |
Returns the bodyselect Created in NX8.0.0. | |
NXOpen::CAE::SuppressHoleBuilder::OptionChoice | Choice () |
Returns the type Automatic or Manual Created in NX8.0.0. | |
NXOpen::SelectTaggedObjectList * | EdgeSelect () |
Returns the edgeselect Created in NX8.0.0. | |
NXOpen::Expression * | HoleDiameter () |
Returns the holedia Created in NX8.0.0. | |
NXOpen::CAE::SuppressHoleBuilder::OptionPointCreate | PointCreate () |
Returns the pointcreate Created in NX8.0.0. | |
void | SetChoice (NXOpen::CAE::SuppressHoleBuilder::OptionChoice type) |
Sets the type Automatic or Manual Created in NX8.0.0. | |
void | SetPointCreate (NXOpen::CAE::SuppressHoleBuilder::OptionPointCreate pointCreate) |
Sets the pointcreate Created in NX8.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Builder for creating Hole Suppression Hole <br> To create a new instance of this class, use @link CAE::AbstractionManager::CreateSuppressHoleBuilder CAE::AbstractionManager::CreateSuppressHoleBuilder @endlink <br>
Default values.
Property | Value |
---|---|
Choice |
Automatic |
HoleDiameter.Value |
0 (millimeters part), 0 (inches part) |
PointCreate |
None |
Created in NX8.0.0.
NXOpen::SelectTaggedObjectList* NXOpen::CAE::SuppressHoleBuilder::BodySelect | ( | ) |
Returns the bodyselect
Created in NX8.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
NXOpen::CAE::SuppressHoleBuilder::OptionChoice NXOpen::CAE::SuppressHoleBuilder::Choice | ( | ) |
Returns the type Automatic or Manual
Created in NX8.0.0.
License requirements : None
NXOpen::SelectTaggedObjectList* NXOpen::CAE::SuppressHoleBuilder::EdgeSelect | ( | ) |
Returns the edgeselect
Created in NX8.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
NXOpen::Expression* NXOpen::CAE::SuppressHoleBuilder::HoleDiameter | ( | ) |
Returns the holedia
Created in NX8.0.0.
License requirements : None
NXOpen::CAE::SuppressHoleBuilder::OptionPointCreate NXOpen::CAE::SuppressHoleBuilder::PointCreate | ( | ) |
Returns the pointcreate
Created in NX8.0.0.
License requirements : None
void NXOpen::CAE::SuppressHoleBuilder::SetChoice | ( | NXOpen::CAE::SuppressHoleBuilder::OptionChoice | type | ) |
Sets the type Automatic or Manual
Created in NX8.0.0.
License requirements : nx_masterfem ("Finite Element Modeling")
type | type |
void NXOpen::CAE::SuppressHoleBuilder::SetPointCreate | ( | NXOpen::CAE::SuppressHoleBuilder::OptionPointCreate | pointCreate | ) |
Sets the pointcreate
Created in NX8.0.0.
License requirements : None
pointCreate | pointcreate |